Magick++: Magick::DrawableTextUnderColor Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableTextUnderColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextUnderColor:
[legend]
Collaboration diagram for Magick::DrawableTextUnderColor:
[legend]

## Public Member Functions
| DrawableTextUnderColor (const Color &color_)
| DrawableTextUnderColor (const DrawableTextUnderColor &original_)
| ~DrawableTextUnderColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2123 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableTextUnderColor::DrawableTextUnderColor | ( | const Color & | color_ | ) |

Definition at line 1507 of file Drawable.cpp.

Magick::DrawableTextUnderColor::DrawableTextUnderColor | ( | const DrawableTextUnderColor & | original_ | ) |

Definition at line 1512 of file Drawable.cpp.

Magick::DrawableTextUnderColor::~DrawableTextUnderColor | ( | void |  | ) |

Definition at line 1517 of file Drawable.cpp.

## Member Function Documentation

void Magick::DrawableTextUnderColor::color | ( | const Color & | color_ | ) |
| inline

Definition at line 2138 of file Drawable.h.

Color Magick::DrawableTextUnderColor::color | ( | void |  | ) | const
| inline

Definition at line 2142 of file Drawable.h.

Magick::DrawableBase * Magick::DrawableTextUnderColor::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1529 of file Drawable.cpp.

void Magick::DrawableTextUnderColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1521 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp